Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.transformer
Class ClonerToResultTree

    java.lang.Object
      |
      +--weblogic.apache.xalan.transformer.ClonerToResultTree

public class ClonerToResultTree
extends java.lang.Object

Class used to clone a node, possibly including its children to a result tree.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Constructor Summary
`ClonerToResultTree(TransformerImpl transformer, ResultTreeHandler rth)` Constructor ClonerToResultTree

Method Summary
`static void` | `cloneToResultTree(int node, int nodeType, weblogic.apache.xml.dtm.DTM dtm, ResultTreeHandler rth, boolean shouldCloneAttributes)` Clone an element with or without children.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClonerToResultTree

    public ClonerToResultTree(TransformerImpl transformer,
                              ResultTreeHandler rth)

  Constructor ClonerToResultTree

  Parameters:
    `transformer` - non-null transformer instance to use for the cloning
    `rth` - non-null result tree handler for the cloned tree

Method Detail

### cloneToResultTree

    public static void cloneToResultTree(int node,
                                         int nodeType,
                                         weblogic.apache.xml.dtm.DTM dtm,
                                         ResultTreeHandler rth,
                                         boolean shouldCloneAttributes)
                                  throws javax.xml.transform.TransformerException

  Clone an element with or without children. TODO: Fix or figure out node clone failure! the error condition is severe enough to halt processing.

  Parameters:
    `node` - The node to clone
    `shouldCloneAttributes` - Flag indicating whether to clone children attributes
  Throws:
    javax.xml.transform.TransformerException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference